import request from '@/utils/request'

// 获取物料申请单列表
export function getReqList(params) {
  return request({
    url: `/system/apply/material/list`,
    method: 'get',
    params: params
  })
}
// 物料申请单-新增
export function addReq(data) {
  return request({
    url: `/system/apply/material`,
    method: 'post',
    data: data
  })
}
// 获取物料申请单详情
export function getReqDetail(id) {
  return request({
    url: `/system/apply/material/${id}`,
    method: 'get',
  })
}
// 物料申请单-修改提交
export function editReq(data) {
  return request({
    url: `/system/apply/material`,
    method: 'put',
    data: data
  })
}
// 物料申请单-删除
export function delReq(id) {
  return request({
    url: `/system/apply/material/${id}`,
    method: 'delete',
  })
}

// 参照-计量单位
export function getUnit(data) {
  return request({
    url: `/system/archival/queryUnit`,
    method: 'post',
    data: data
  })
}
// 参照-产地
export function getPlace(data) {
  return request({
    url: `/system/archival/queryOrigin`,
    method: 'post',
    data: data
  })
}
// 参照-税类
export function getTax(data) {
  return request({
    url: `/system/archival/queryTaxrate`,
    method: 'post',
    data: data
  })
}
// 参照-采购员
export function getStaff(data) {
  return request({
    url: `/system/archival/queryStaffInfo`,
    method: 'post',
    data: data
  })
}
// 参照-业务线
export function getLine(data) {
  return request({
    url: `/system/archival/queryServiceline`,
    method: 'post',
    data: data
  })
}
// 参照-剂型
export function getDose(data) {
  return request({
    url: `/system/archival/queryDosageForm`,
    method: 'post',
    data: data
  })
}